GET /ingest/status
curl --request GET \
--url https://api.example.com/ingest/statusimport requests
url = "https://api.example.com/ingest/status"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/ingest/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "processed",
"items": 847,
"included_in_cache": true
}
Ingestion
GET /ingest/status
Check processing status of a submitted batch
GET
/
ingest
/
status
GET /ingest/status
Check processing status of a previously submitted batch.
Query parameters
string
required
UUID returned by
POST /ingest/batch.Response
string
processed, queued, or failed.integer
Total items in batch.
boolean
Whether this batch is reflected in
/pulse.Example
curl -X GET "https://api.togetherwithkai.com/v1/affective/ingest/status?batch_id=550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"status": "processed",
"items": 847,
"included_in_cache": true
}
⌘I